/*
*******************************************************************************************************************
*												BLINK LED DEMO
* Description:  The first demo program for AT89S52-gLCD-STK1 board with 3.3V regulator & 89C51RB2-IM mcu
*				to blink an LED at ~10Hz by software delay
* File:			..\blink_LED\main.c
* Software:		Keil C (C51) compiler, Eval version 7.09 under uVision2 IDE v2.40
* Programmer: 	John Leung, TechToys Co. (www.TechToys.com.hk)
* Hardware:		AT89S8253-cLCD-STK1 PCB, with Atmel AT89C51RB2 running at 3.3V Vdd, 11.0592 MHz crystal
* Date:			27th Dec 2006
* Version:		1.0
* Programmer:	John Leung
*
* 												All Rights Reserved
*
*******************************************************************************************************************
*/
#include <REG51RB2.H>

#define ON 	0
#define OFF	1

//Pin definition
sbit LED = P2^0;

// Function prototype
void DelayMs(unsigned int msec);



/*
*******************************************************************************************************************
*											MILLI-SECOND SOFTWARE DELAY ROUTINE
* Function:	This function makes software delay in milli-sec, adjusted for a crystal freq. 11.0592MHz for AT89C51RB2
* Argument:	'msec'		amount of delay in milli-sec
* Return:	none
*
* Note:		
*******************************************************************************************************************
*/
void DelayMs(unsigned int msec)
{
	unsigned int x,y;

	for(x=0; x<=msec;x++)
		{
			for(y=0;y<=110;y++);
		}
}

// Main 
// Simple demo program just to blink an LED at a rate of ~10Hz
void main(void)
{
	for(;;)
		{
			LED = ON;
			DelayMs(50);
			LED = OFF;
			DelayMs(50);
		}
}
